#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

: "${PORT:=8880}"
: "${CONTROL_PORT:=8881}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"

echo "JAVA_OPTS=$JAVA_OPTS"

TZ=UTC java $JAVA_OPTS $JAVA_MEMORY_ARGS -XshowSettings:vm -jar "${SCRIPT_DIR}/app.jar" -server.port=:$PORT -management.server.port=:$CONTROL_PORT $@
status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
